Aracılığıyla paylaş


Monitors - List App Services

Şu anda NewRelic kaynağı tarafından izlenen app service kaynaklarını listeleyin.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/NewRelic.Observability/monitors/{monitorName}/listAppServices?api-version=2024-10-01

URI Parametreleri

Name İçinde Gerekli Tür Description
monitorName
path True

string

İzleyiciler kaynağının adı

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

subscriptionId
path True

string

minLength: 1

Hedef aboneliğin kimliği.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

İstek Gövdesi

Name Gerekli Tür Description
userEmail True

string

pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$

Kullanıcı E-postası

azureResourceIds

string[]

Azure kaynak kimlikleri

Yanıtlar

Name Tür Description
200 OK

AppServicesListResponse

ARM işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Microsoft Entra Kimliği OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

Monitors_ListAppServices_MaximumSet_Gen
Monitors_ListAppServices_MinimumSet_Gen

Monitors_ListAppServices_MaximumSet_Gen

Örnek isteği

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01

{
  "azureResourceIds": [
    "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
  ],
  "userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}

Örnek yanıt

{
  "value": [
    {
      "azureResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz",
      "agentVersion": "owxkssnbp",
      "agentStatus": "vclwfecbppsfaygdccfu"
    }
  ],
  "nextLink": "http://testlink.com"
}

Monitors_ListAppServices_MinimumSet_Gen

Örnek isteği

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz/listAppServices?api-version=2024-10-01

{
  "azureResourceIds": [
    "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgNewRelic/providers/NewRelic.Observability/monitors/fhcjxnxumkdlgpwanewtkdnyuz"
  ],
  "userEmail": "ruxvg@xqkmdhrnoo.hlmbpm"
}

Örnek yanıt

{
  "value": [],
  "nextLink": null
}

Tanımlar

Name Description
AppServiceInfo

NewRelic OneAgent'ın yüklü olduğu VM Kaynağının ayrıntıları

AppServicesGetRequest

Uygulama hizmetlerinin isteği İşlem'i alır.

AppServicesListResponse

Liste uygulama hizmetlerinin yanıtı İşlem.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

AppServiceInfo

NewRelic OneAgent'ın yüklü olduğu VM Kaynağının ayrıntıları

Name Tür Description
agentStatus

string

App service'te yüklü Olan NewRelic aracısının durumu.

agentVersion

string

App service'te yüklü NewRelic aracısının sürümü.

azureResourceId

string

Azure App service kaynak kimliği

AppServicesGetRequest

Uygulama hizmetlerinin isteği İşlem'i alır.

Name Tür Description
azureResourceIds

string[]

Azure kaynak kimlikleri

userEmail

string

pattern: ^[A-Za-z0-9._%+-]+@(?:[A-Za-z0-9-]+\.)+[A-Za-z]{2,}$

Kullanıcı E-postası

AppServicesListResponse

Liste uygulama hizmetlerinin yanıtı İşlem.

Name Tür Description
nextLink

string (uri)

Öğelerin sonraki sayfasına bağlantı

value

AppServiceInfo[]

Bu sayfadaki AppServiceInfo öğeleri

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.